Cyberduck Mountain Duck CLI

#9023 closed enhancement (fixed)

Normalize filename when copying files with illegal Windows characters

Reported by: owithoff Owned by: dkocher
Priority: normal Milestone: 4.8
Component: openstack Version: 4.7.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description

For example a Linux filename could be something like: ifcfg-eth0:0

...which in Linux is legal.

When I use Cyberduck to copy this file to Windows, I think the filename in Windows should be URL encoded, like this:

ifcfg-eth0%3A0

...since the ":" is illegal in a Windows filename.

The reverse should also be done -- i.e. when copying from Windows to SWIFT, the filename should be URL decoded.

This, for example, is how WinSCP copes with the same issue when FTP-ing files around different systems.

Thanks very much for you consideration, Olivier Withoff, Demo Center Team, Citrix Systems.

Change History (4)

comment:1 Changed on Sep 23, 2015 at 8:38:41 AM by dkocher

  • Component changed from core to openstack
  • Owner set to dkocher
  • Platform set to Windows 10
  • Summary changed from Copying SWIFT files with illegal Windows chars to Normalize filename when copying files with illegal Windows characters

comment:2 Changed on Jan 18, 2016 at 10:39:12 PM by dkocher

  • Owner changed from dkocher to yla

comment:3 Changed on Jan 21, 2016 at 1:07:39 PM by dkocher

  • Milestone set to 4.8
  • Owner changed from yla to dkocher
  • Status changed from new to assigned

Revert in r19105.

comment:4 Changed on Jan 21, 2016 at 1:17:31 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r19155.

Note: See TracTickets for help on using tickets.